﻿using OpcLabs.BaseLib.ComponentModel;
using OpcLabs.BaseLib.Portable;
using OpcLabs.EasyOpc.DataAccess;
using System;
using System.Reflection;

namespace OpcLabTest
{
    internal class Program
    {
        static void Main(string[] args)
        {
            RegisterManagedResourceWithExistenceCheck();
        }

        public static void RegisterManagedResourceWithExistenceCheck()
        {
            try
            {
                LicensingManagement.Instance.RegisterManagedResourceWithExistenceCheck("QuickOPC", "Multipurpose",
                    Assembly.GetCallingAssembly(),
                    "OpcLabTest.Key-Permanent-WebForm-1999225891-20210913.txt");
            }
            catch (CustomException customException)
            {
                Console.WriteLine($"*** Failure: {customException.Message}");
                return;
            }

            var client = new EasyDAClient();
            long serialNumber = (uint)client.LicenseInfo["Multipurpose.SerialNumber"];
            Console.WriteLine("SerialNumber: {0}", serialNumber);
        }
    }
}
